# Make ZSH behave like vim
bindkey -v

# Re-enable reverse-i-search
# bindkey '^R' history-incremental-search-backward

# Aliases
alias yay="yay --aur"
alias ls="exa"
alias ll="exa -albh"
alias cat="bat"
alias vim="nvim"
alias dotfile='/usr/bin/git --git-dir=$HOME/.dotfiles/ --work-tree=$HOME'


### Environment Variable Exports

# Rust
export CARGO_HOME=~/.local/share/cargo
export RUSTUP_HOME=~/.config/rustup

# Re-enable reverse-i-search
bindkey '^R' history-incremental-search-backward
